---
# [NEXTCLOUD CONFIG]
nc_global_name: "nc.test"
nextcloud_ipv6: false

# defaults file for nextcloud
NEXTCLOUD_VERSION: "25.0.2"
NEXTCLOUD_TARBALL: "nextcloud-{{ NEXTCLOUD_VERSION }}.tar.bz2"
NEXTCLOUD_URL: "https://download.nextcloud.com/server/releases/{{ NEXTCLOUD_TARBALL }}"
NEXTCLOUD_GPG: "https://nextcloud.com/nextcloud.asc"
GPG_FINGERPRINT: "28806A878AE423A28372792ED75899B9A724937A"

# [REDIS CONFIG]
redis_host: "127.0.0.1"    # overload from the role
redis_port: "6379"

# [WEB CONFIG]
ssl_path: "/etc/{{ ansible_fqdn }}/ssl"
nc_data_dir: "/srv/data"
nc_admin_name: "pedro"
nc_admin_pwd: "pedro"
#
nfs_server: "127.0.0.1"
nfs_data_path: "/nextcloud/data"
nfs_web_path: "/nextcloud/web"

nc_loglevel: 2
nc_log_rotate_size: 10485760
nc_background_cron: true
nc_cron_period: 10 # every <nc_cron_period> min

## Custom nextcloud settings
## https://docs.nextcloud.com/server/12/admin_manual/configuration_server/config_sample_php_parameters.html
nextcloud_config_settings:
  - { name: 'default_phone_region', value: 'BE' }  # set a country code using ISO 3166-1
  - { name: 'open_basedir', value: '/dev/urandom' }
  - { name: 'mysql.utf8mb4', value: 'true' }
  - { name: 'updater.release.channel', value: 'production' }  # production | stable | daily | beta
  - { name: 'mail_smtpmode', value: 'smtp' }
  - { name: 'mail_domain', value: 'uclouvain.be' }
  - { name: 'mail_smtphost', value: 'smtp.sgsi.ucl.ac.be' }
  - { name: 'mail_smtpauthtype', value: 'LOGIN' }
    #- { name: 'overwrite.cli.url', value: 'https://{{ nc_global_name }}' }
    #- { name: 'overwritehost', value: '{{ nc_global_name }}' }
  - { name: 'overwriteprotocol', value: 'https' }

#php /var/www/html/occ config:system:set share_folder --value="/Shared"

# [DATABASE]
db_host: "127.0.0.1" # overload from the role
db_port: "3306"
nc_db_name: "nextcloudb"
nc_db_user: "nextcloudb" # overload from the role
nc_db_password: "secret" # overload from the role

# [APPS]
nextcloud_apps:
  - twofactor_totp
  - deck
  - tasks
  - calendar
  - contacts
  - apporder

nc_collabora: false
